QwtArraySeriesData< T > Class Template Reference

Template class for data, that is organized as QVector. More...

`#include <qwt_series_data.h>`

Inheritance diagram for QwtArraySeriesData< T >:

## Public Member Functions

| QwtArraySeriesData ()
| Constructor.
| QwtArraySeriesData (const QVector< T > &samples)
void | setSamples (const QVector< T > &samples)
const QVector< T > | samples () const
virtual size_t | size () const override
virtual T | sample (size_t index) const override
Public Member Functions inherited from QwtSeriesData< T >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
virtual QRectF | boundingRect () const =0
virtual void | setRectOfInterest (const QRectF &rect)

## Protected Attributes

QVector< T > | m_samples
| Vector of samples.
Protected Attributes inherited from QwtSeriesData< T >
QRectF | cachedBoundingRect
| Can be used to cache a calculated bounding rectangle.

## Detailed Description

### template<typename T>
class QwtArraySeriesData< T >

Template class for data, that is organized as QVector.

QVector uses implicit data sharing and can be passed around as argument efficiently.

Definition at line 135 of file qwt_series_data.h.

## Constructor & Destructor Documentation

## QwtArraySeriesData()

template<typename T >

QwtArraySeriesData< T >::QwtArraySeriesData | ( | const QVector< T > & | samples | ) |

explicit

Constructor

Parameters

  samples | Array of samples

Definition at line 178 of file qwt_series_data.h.

## Member Function Documentation

## sample()

template<typename T >

T QwtArraySeriesData< T >::sample | ( | size_t | index | ) | const

override virtual

Returns
  Sample at a specific position

Parameters

  index | Index

Returns
  Sample at position index

Implements QwtSeriesData< T >.

Reimplemented in QwtSyntheticPointData, QwtCPointerValueData< T >, QwtValuePointData< T >, QwtCPointerData< T >, and QwtPointArrayData< T >.

Definition at line 203 of file qwt_series_data.h.

## samples()

template<typename T >

const QVector< T > QwtArraySeriesData< T >::samples

Returns
  Array of samples

Definition at line 191 of file qwt_series_data.h.

## setSamples()

template<typename T >

void QwtArraySeriesData< T >::setSamples | ( | const QVector< T > & | samples | ) |

Assign an array of samples

Parameters

  samples | Array of samples

Definition at line 184 of file qwt_series_data.h.

## size()

template<typename T >

size_t QwtArraySeriesData< T >::size

override virtual

Returns
  Number of samples

Implements QwtSeriesData< T >.

Reimplemented in QwtSyntheticPointData, QwtCPointerValueData< T >, QwtValuePointData< T >, QwtCPointerData< T >, and QwtPointArrayData< T >.

Definition at line 197 of file qwt_series_data.h.